Skip to main content
GET
/
orgs
/
{org_id}
/
identity-providers
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/identity-providers \
  --header 'Authorization: Bearer <token>'
{
  "identity_providers": [
    {
      "allowed_domains": [
        "<string>"
      ],
      "client_secret_set": true,
      "created_at": 123,
      "enabled": true,
      "enforced": true,
      "id": "<string>",
      "kind": "<string>",
      "org_id": "<string>",
      "provider_key": "<string>",
      "updated_at": 123,
      "client_id": "<string>",
      "default_role_id": "<string>",
      "display_name": "<string>",
      "groups_claim": "<string>",
      "issuer": "<string>",
      "scopes": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required

Response

200 - application/json

Connections listed

identity_providers
object[]
required